# buildit.sh
# script to build pcmcia floppy image
# copyright (c) 2001 joseph cheek.  all rights reserved.
# released under gpl


# 
# 
# etc

rm -rf etc
mkdir -p etc/pcmcia/cis
cp -a \
/etc/pcmcia/{ftl,ide,memory,network,parport,scsi,serial,wireless,config*} \
etc/pcmcia
gzip --best etc/pcmcia/config
gzip --best etc/pcmcia/config.opts

cp -a /etc/pcmcia/cis/* etc/pcmcia/cis

# sbin

# modules

NEWMODDIR=lib/modules/`uname -r`/pcmcia  # no /; local
REALMODDIR=/lib/modules/`uname -r`/pcmcia  # note /; from root

rm -rf /mnt/pcmcia/lib # dangerous?
mkdir -p $NEWMODDIR

for a in $REALMODDIR/*
do

  gzip --best $a -c > $NEWMODDIR/`basename $a`.gz

done

# NEED... MORE... ROOM...

rm lib/modules/*/pcmcia/airo*
